<?php



include("asl.php");


?>



<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html ; charset=utf-8" />
	<meta http-equiv="content-type" content="text/html" />
	<meta name="author" content="persian" />


	<title>پنل اختصاصی ربات تلگرام گروه توسعه دهندگان AHP</title>
	
	
    <link rel="Stylesheet" type="text/css" href="style.css" />

<style>

  @font-face
{
font-family: 'amir' ;
src:url('font/BKoodakBold.ttf')format('truetype'),
url('font/BKoodakBold.eot')format('eot'),
url('font/BKoodakBold.woff')format('woff');

}
.font{
    font-family:amir;
}

</style>



</head>


<body dir='rtl' >

<div align="center" >
<?php

     // import_request_variables("p" , "a_");

$a_pass = $_POST["pass"];
$a_user= $_POST["user"];
$a_mykey= $_POST["mykey"];
$a_answer= $_POST["answer"];
$a_myarakeys= $_POST["myarakeys"];
$a_newuser= $_POST["newuser"];
$a_newpass= $_POST["newpass"];
$a_noa= $_POST["noa"];
$a_shenase= $_POST["shenase"];

try {
    $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password ,  array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
    // set the PDO error mode to exception

    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    }
catch(PDOException $e)
    {
    echo "Connection failed: " . $e->getMessage();
    }




              $sql = "select * from admin";
                $stmt =   $conn->prepare($sql);
                    $stmt->execute();

                        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
                         $show =$stmt->fetch()  ;

              $user = $show["user"];
              $pass= $show["pass"];


              $getpass= hash_hmac('md5',$a_pass , salt);


                 if($user == $a_user && $pass == $getpass){
                 
                 

       
                 

    if($a_noa == "inserttodb"){


    
    
       if(!$_FILES['myfile']['name']=="" && $_FILES["myfile"]["error"]==0  ){



      
$ext = end(explode('.',$_FILES['myfile']['name']));

$formats = array('jpg','JPG','gif','GIF','png','PNG','RAR','rar','ZIP','zip','mp4','3gp','mov');
if(!in_array($ext,$formats)){

    print"<p style='color:green' >پسوند معتبر برای آپلود نیست</p>";
    
    }
    elseif( file_exists('upload/'.$_FILES["myfile"]["name"])){
        print"<p style='color:green' >متاسفیم این فایل قبلا اپلود شده لطفا نام ان را تغییر دهید</p>";
      
    }
    elseif( 536870912 < $_FILES["myfile"]["size"]){
        

        print"<p style='color:green' >سایز فایل باید کمتر از نیم گیگ باشد</p>";
    }
    else{
        $path="upload/".$_FILES["myfile"]["name"];
        move_uploaded_file($_FILES["myfile"]["tmp_name"] , $path);
        print"
        <span class='green' >
        اپلود با موفقیت انجام 
        شد
        </span>
        ";
        
    }
  $namemyfile=$_FILES["myfile"]["name"];



    
      
    }

                         
                                 $shenase=time().rand(0,1);                                          echo "<p style='color:green' >دستورات ذخیره شد</p>";
                             
                             if( $namemyfile=="" ||  $namemyfile ==" "){
     $sql = "INSERT INTO layertwo (mykey,answer,ispic,picture,myarakeys,shenase) VALUES ('$a_mykey', '$a_answer','','', '$a_myarakeys','$shenase')";
                             $conn->exec($sql);
                             }
                             else{
                     $sql = "INSERT INTO layertwo (mykey,answer,ispic,picture,myarakeys,shenase) VALUES ('$a_mykey', '$a_answer','ok',\"$namemyfile\", '$a_myarakeys','$shenase')";
                             $conn->exec($sql);
                             }


                             
                             
                             
                             
                             
                                        }
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        
                                        

                             if($a_newuser == ""){
          }
          else{

                        $newpass= hash_hmac('md5' , $a_newpass , salt);
            $sql = "update admin set user = \"$a_newuser\"  , pass=\"$newpass\"  ";
            $conn->exec($sql);
             echo "<p style='color:green' >يوزرنيم و پسورد با موفقيت به روز رساني شد لطفا از پنل خارج شده مجددا وارد شويد</p>";
             
             
             
             
                                   function redirect($url){
     if (!headers_sent()){
         header('Location: '.$url); exit;
     }else{
         echo '<script type="text/javascript">';
         echo 'window.location.href="'.$url.'";';
         echo '</script>';
         echo '<noscript>';
         echo '<meta http-equiv="refresh" content="0;url='.$url.'" />';
         echo '</noscript>'; exit;
     }
     
     
     
    
     
     
 }
 
redirect("enter.php");
 
 
 
                      
                      
                      
        }

             
             
             
             
             
             
             
             
             
             
    if($a_noa =='deletemain'){
    

                             
    }elseif($a_noa =='deletekey' ){
    
   $sql="delete from  layertwo  where mykey='$a_mykey' ";
          $conn->exec($sql);
          echo "<p style='color:green' >حذف شد !</p>";
    }
    
    
    
    
    
 elseif($a_noa == "editkey"){
        
                 $sql = "update  layertwo  set mykey='$a_mykey',answer='$a_answer',myarakeys='$a_myarakeys' where shenase='$a_shenase' ";
                             $conn->exec($sql);
                                        echo "<p style='color:green' >دستورات اپدیت شد</p>";
             
                
    }
    
    
    
    
    
    
          
    }




        else{
        
        
        
                      echo "<p style='color:red' >يوزرنيم و يا پسورد اشتباه وارد شده </p><br />
                      <a href='enter.php' target='_blank' >بازگشت به صفحه ی ورود</a>
              
                      ";
                      
     
     
                      function redirect($url){
     if (!headers_sent()){
         header('Location: '.$url); exit;
     }else{
         echo '<script type="text/javascript">';
         echo 'window.location.href="'.$url.'";';
         echo '</script>';
         echo '<noscript>';
         echo '<meta http-equiv="refresh" content="0;url='.$url.'" />';
         echo '</noscript>'; exit;
     }
     
     
     
    
     
     
 }
 
  redirect("enter.php");
 
 
 
                      
                      
                      
        }







?>

<h1 class="white">پنل ربات تلگرام AHP</h1>
<br></br>
<h4 class="white">پنل اختصاصی ربات تلگرام نسخه1</h4>
<div id="content" align="right" >
<div id="content-content" >
<table>
<tr><td><img class="radius" src="images/user.png" /></td><td class="gray"  valign="bottom">خوش آمدید <?php print$userse; ?></td>

<td><form target="_blank" method='post' action='users.php' > 


<input type='submit' style='width:100%' class='font' value='نمایش کاربران'  />
<input  type='hidden' name='user' value="<?php echo $a_user  ?>"  />
        <input  type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font'  />
 </form></td>
 
 
<td><form target="_blank" method='post' action='mahsool.php' > 


<input type='submit' style='width:100%' class='font' value='بخش محصولات'  />
<input  type='hidden' name='user' value="<?php echo $a_user  ?>"  />
<input  type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font'  />
 </form></td>
 
  


 
 <td><form target="_blank" method='post' action='orders.php' > 


<input type='submit' style='width:100%' class='font' value='سفارشات'  />
<input  type='hidden' name='user' value="<?php echo $a_user  ?>"  />
<input  type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font'  />
 </form></td>




</tr>

</table>



<br />
<br /> 
<a href="https://telegram.me/" target="_blank" >
<input class='button-blue' style="width:725px;" type="button" value="رفتن به داخل ربات" />
</a>

<br />
<div id="fish">




            <form method='post' action='index.php' >
<table>
<tr>
<th class='th' >يوزرنيم جديد  </th>
<th class='th' colspan="2"  >پسورد جديد</th>


</tr>
<tr>
<td align='center' class='td'  ><input placeholder="يوزرنيم" type='text' name='newuser' class='font'  /> </td>
<td align='center' class='td'  ><input placeholder="پسورد" name="newpass" type="password" class="font" />
<input  type='hidden' name='user' value="<?php echo $a_user  ?>"  />
        <input  type='hidden' name='pass' value="<?php echo $a_pass  ?>"  />
</td>




</tr>


<tr>

<td> <input type='submit' class='font' value='تغيير'  /> </td>

</tr>

</table>
</form>

<hr />
<hr />






















<br />
<br />
</div>
   </div>




<a style="text-decoration:none ;" href="http://ahpbot.com" target="_blank" class="gray" >طراحي شده توسط تيم توسعه دهندگان AHP</a>
</div>

<?php
  $conn = null;
?>
</body>
</html>